<?php
include"baglan.php";
function oturumkontrolana(){
	 if (empty($_SESSION["eposta"])){
		 echo '<script language="javascript">window.location="giris.php";</script>'; die();
	 }
	 
}




$tarih = date("d.m.Y");
$saat = date("H:i");

$yetkiid = $_SESSION['id']; 
$yetkiliogren = $db->query("select * from yonetici where id='$yetkiid'")->fetch(PDO::FETCH_ASSOC); 
$yetki = $yetkiliogren['admin'];

$bakim= $db->query("SELECT * FROM bakim_modu Where id='1'")->fetch(PDO::FETCH_ASSOC);

$yazi= $db->query("SELECT * FROM yazilar Where id='1'")->fetch(PDO::FETCH_ASSOC);

$ayarlar= $db->query("SELECT * FROM ayarlar Where id='1'")->fetch(PDO::FETCH_ASSOC);

$ayar= $db->query("SELECT * FROM yonetim Where id='1'")->fetch(PDO::FETCH_ASSOC);
$adminizin= $db->query("SELECT * FROM adminizni Where id='1'")->fetch(PDO::FETCH_ASSOC);
$izinler= $db->query("SELECT * FROM izinler Where id='1'")->fetch(PDO::FETCH_ASSOC);
$kullaniciizinler= $db->query("SELECT * FROM kullaniciizinler Where id='1'")->fetch(PDO::FETCH_ASSOC);

$syf= $db->query("SELECT * FROM sayfalar Where id='9' and seo='hakkimizda'")->fetch(PDO::FETCH_ASSOC);

$iletisim= $db->query("SELECT * FROM iletisimbilgileri Where id='1'")->fetch(PDO::FETCH_ASSOC);

$sosyal= $db->query("SELECT * FROM sosyalmedya Where id='1'")->fetch(PDO::FETCH_ASSOC);
$ekstra= $db->query("SELECT * FROM calisma Where id='1'")->fetch(PDO::FETCH_ASSOC);
$smtp=$db->query("select * from mail where id='1'")->fetch(PDO::FETCH_ASSOC);

$facebook = $sosyal['facebook'];
$instagram = $sosyal['instagram'];
$twitter = $sosyal['twitter']; 
$youtube = $sosyal['youtube']; 
$linkedin = $sosyal['telegram']; 


$title = $ayarlar['site_title'];
$description = $ayarlar['site_description'];
$logo = $ayarlar['logo'];
$footerlogo = $ayarlar['footer_logo'];
$favicon  =$ayarlar['favicon'];
$calismasaat = $iletisim['calismasaat'];
$telefon1 = $iletisim['telefon1'];
$telefon2 = $iletisim['telefon2'];
$adres1 = $iletisim['adres1'];
$adres2 = $iletisim['adres2'];
$email1 = $iletisim['email1'];
$email2 = $iletisim['email2'];
$copyright = $ayar['footer_copyright'];
$whatsapp = $iletisim['whatsapp'];
$googlemaps = $iletisim['google_maps'];


$slidercek= $db->query("SELECT * FROM slider Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$etiketcek= $db->query("SELECT * FROM etiket Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$hizmetcek= $db->query("SELECT * FROM hizmetler Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$hizmetcek4= $db->query("SELECT * FROM hizmetler Where durum='on' order by sira asc limit 4")->fetchAll(PDO::FETCH_ASSOC);
$hizmetcek6= $db->query("SELECT * FROM hizmetler Where durum='on' order by sira asc limit 6")->fetchAll(PDO::FETCH_ASSOC);
$projecek= $db->query("SELECT * FROM projeler Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$projecek6= $db->query("SELECT * FROM projeler Where durum='on' order by sira asc limit 6")->fetchAll(PDO::FETCH_ASSOC);
$ekipcek= $db->query("SELECT * FROM ekibimiz Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$yorumcek= $db->query("SELECT * FROM yorumlar Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$refcek= $db->query("SELECT * FROM referanslar Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$blogcek= $db->query("SELECT * FROM haberler Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$blogcekdesc= $db->query("SELECT * FROM haberler Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$habercek2= $db->query("SELECT * FROM haberler Where durum='on' order by sira asc limit 2")->fetchAll(PDO::FETCH_ASSOC);
$habercek3= $db->query("SELECT * FROM haberler Where durum='on' order by sira asc limit 3")->fetchAll(PDO::FETCH_ASSOC);
$habercek5= $db->query("SELECT * FROM haberler Where durum='on' order by sira asc limit 5")->fetchAll(PDO::FETCH_ASSOC);
$sayfacek= $db->query("SELECT * FROM sayfalar Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$ssscek= $db->query("SELECT * FROM sss Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$galericek = $db->query("SELECT * FROM galeri Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$galericek6 = $db->query("SELECT * FROM galeri Where durum='on' order by sira asc limit 6")->fetchAll(PDO::FETCH_ASSOC);
$galericekfooter = $db->query("SELECT * FROM galeri Where durum='on' order by sira asc limit 6 ")->fetchAll(PDO::FETCH_ASSOC);
$istatikcek= $db->query("SELECT * FROM istatik Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);
$kategoricek= $db->query("SELECT * FROM urun_kategori Where durum='on' order by sira asc")->fetchAll(PDO::FETCH_ASSOC);


if(isset($_POST['iletisim-formu'])){
	
	$ekle = $db->prepare("insert into iletisim set adi=:adi,konu=:konu,telefon=:telefon,mesaj=:mesaj,email=:email,tarih=:tarih");
	$hemen = $ekle->execute(array("adi"=>$_POST['adi'],"konu"=>$_POST['konu'],"telefon"=>$_POST['telefon'],"mesaj"=>$_POST['mesaj'],"tarih"=>$tarih,"email"=>$_POST['email']));
	
	if($hemen){
      
            /*include '../../class.phpmailer.php';
								$mail = new PHPMailer();
								$mail->IsSMTP();
                                $mail->SMTPAuth = true;
								$mail->Host = $smtp['site_mail_host'];
                                $mail->Port = $smtp['site_mail_port'];
                                $mail->SMTPSecure = 'ssl';
								$mail->Username = $smtp['site_mail'];
								$mail->Password = $smtp['site_mail_sifre'];
								$mail->SetFrom($mail->Username, "İletişim Formu");
								$mail->AddAddress($smtp['gonderen_mail'], $title);
								$mail->CharSet = 'UTF-8';
								$mail->Subject = $_POST['konu'];
								$mail->MsgHTML('İsim:'.$_POST["adi"].'<br/>
												Konu:'.$_POST["konu"].'<br/>
												Telefon:'.$_POST["telefon"].'<br/>
													Mesaj:'.$_POST["mesaj"].'<br/>
												Email:'.$_POST["email"].'<br/>
												Tarih:' .$tarih. '<br/>');
					if($mail->Send()) 
					
					{ echo 
					
					' <br>  &nbsp;  &nbsp;&nbsp;  
					<font style="color:#24b802; font-size:16px;">  Mesajınız başarıyla gönderildi.   </font>
					<br><br>' 
					
					;} 
					else 
					{ 
					
					echo '<br> &nbsp; &nbsp; 
					
					<font style="color:#FF0004; font-size:16px;">  Mesaj gönderirken bir hata oluştu ve girmiş olduğunuz bilgiler alınamadı. </font> 
					
					<br><br>'. $mail->ErrorInfo;  
 					}*/
      
		header("location:".$_POST['link'].'?durum=Gönderildi');
		
		
	}else {
		header("location:".$_POST['link'].'?durum=Gönderilmedi');
	}
}




if(isset($_POST['yorum-ekle'])){
    $yorum =$db->prepare("insert into urun_yorum set uye=:uye,yorum=:yorum,tarih=:tarih,urun_id=:urun_id");
    $ekle = $yorum->execute(array("uye"=>$_POST['uye'],"yorum"=>$_POST['yorum'],"tarih"=>$tarih,"urun_id"=>$_POST['urun_id']));
     if($ekle){
         header("location:".$_POST['link'].'?durum=YorumYapıldı');
    }else{
         header("location:".$_POST['link'].'?durum=YorumYapılmadı');
    }
    
}







/*
$idd=$hizmetd_dizi["id"];
$ip=$_SERVER["REMOTE_ADDR"];
$sor=$db->query("select * from ip_adresi where ip='$ip' and urun_id='$idd'")->fetch(PDO::FETCH_ASSOC);
	if($sor==false){
		if($sor["urun_id"]!=$hizmetd_dizi["id"]){
		$urun_id=$hizmetd_dizi["id"];
		$query=$db->prepare("insert into ip_adresi set ip = :ip, urun_id = :urun_id, zaman = :zaman");
		$insert=$query->execute(array("ip" =>$ip, "urun_id" =>$urun_id, "zaman" =>$tarih ));	
		
		$hitsayisi=$hizmetd_dizi["hit"]+1;
		
		
		$artir = $db->prepare("UPDATE hizmetler SET
		hit = :hit
		WHERE id = :id");
		$update = $artir->execute(array(
			 "hit" => $hitsayisi,
			 "id" => $id
		));
		}
	}
*/



?>